net.sf.jasperreports.data.mondrian

## Class MondrianDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter
    - - net.sf.jasperreports.data.jdbc.JdbcDataAdapterImpl
      - - net.sf.jasperreports.data.mondrian.MondrianDataAdapterImpl

- All Implemented Interfaces:
    ClasspathAwareDataAdapter, DataAdapter, JdbcDataAdapter, MondrianDataAdapter

      public class MondrianDataAdapterImpl
      extends JdbcDataAdapterImpl
      implements MondrianDataAdapter

  Version:
    $Id: MondrianDataAdapterImpl.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MondrianDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCatalogURI()`
    `void` | `setCatalogURI(java.lang.String catalogURI)`

    - ### Methods inherited from class net.sf.jasperreports.data.jdbc.JdbcDataAdapterImpl

      `getDatabase, getDriver, getPassword, getProperties, getServerAddress, getUrl, getUsername, isSavePassword, setDatabase, setDriver, setPassword, setProperties, setSavePassword, setServerAddress, setUrl, setUsername`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.jdbc.JdbcDataAdapter

      `getDatabase, getDriver, getPassword, getProperties, getServerAddress, getUrl, getUsername, isSavePassword, setDatabase, setDriver, setPassword, setProperties, setSavePassword, setServerAddress, setUrl, setUsername`

    - ### Methods inherited from interface net.sf.jasperreports.data.ClasspathAwareDataAdapter

      `getClasspath, setClasspath`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### MondrianDataAdapterImpl

          public MondrianDataAdapterImpl()

  - ### Method Detail

    - #### getCatalogURI

          public java.lang.String getCatalogURI()

      Specified by:
        `getCatalogURI` in interface `MondrianDataAdapter`

    - #### setCatalogURI

          public void setCatalogURI(java.lang.String catalogURI)

      Specified by:
        `setCatalogURI` in interface `MondrianDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com